summaryrefslogtreecommitdiff
path: root/tests/ambiguous-refs.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ambiguous-refs.script')
-rwxr-xr-xtests/ambiguous-refs.script32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/ambiguous-refs.script b/tests/ambiguous-refs.script
new file mode 100755
index 00000000..58d09d26
--- /dev/null
+++ b/tests/ambiguous-refs.script
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Guard against a bug that occurs if 'git show-ref' is used to resolve refs
+## instead of 'git rev-parse --verify': show-ref returns a list of partial
+## matches sorted alphabetically, so any code using it may resolve refs
+
+set -eu
+
+# Create a ref that will show up in 'git show-ref' before the real master ref
+cd "$DATADIR/morphs-repo"
+git checkout -q -b alpha/master
+git rm -q hello-stratum.morph
+git commit -q -m "This ref will not build correctly"
+
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs-repo master hello-stratum